﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GettingStarted.aspx.cs" Inherits="PivotFieldList.GettingStarted" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/default-theme/ej.web.all.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/jquery.linq.js"></script>
    <script src="Scripts/pivotgrid.datasource.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
</head>
<body>
    <form id="form1" runat="server">
        <ej:PivotGrid ID="PivotGrid1" Url="" runat="server" ClientIDMode="Static">
        <DataSource>
            <Rows>
                <ej:Field FieldName="Country" FieldCaption="Country"></ej:Field>
                <ej:Field FieldName="State" FieldCaption="State"></ej:Field>
            </Rows>
            <Columns>
                <ej:Field FieldName="Product" FieldCaption="Product"></ej:Field>
            </Columns>
            <Values>
                <ej:Field FieldName="Amount" FieldCaption="Amount"></ej:Field>
                <ej:Field FieldName="Quantity" FieldCaption="Quantity"></ej:Field>
            </Values>
            <Filters>
                <ej:Field FieldName="Date" FieldCaption="Date"></ej:Field>
            </Filters>
        </DataSource>
        <ClientSideEvents Load="onLoad"  RenderSuccess="loadSchemaDesigner"/>
    </ej:PivotGrid>
   <ej:PivotSchemaDesigner ID="PivotSchemaDesigner1"  runat="server">
    </ej:PivotSchemaDesigner>

        <script type="text/javascript">
            function onLoad(args) {

                ej.PivotGrid.Locale["en-US"] = {
                    ToolTipRow: "Row",
                    ToolTipColumn: "Column",
                    ToolTipValue: "Value",
                    SeriesPage: "Series Page",
                    CategoricalPage: "Categorical Page",
                    DragFieldHere: "Drag field here",
                    ColumnArea: "Drop column here",
                    RowArea: "Drop row here",
                    ValueArea: "Drop values here",
                    OK: "OK",
                    Cancel: "Cancel",
                    Remove: "Remove",
                    ConditionalFormatting: "Conditional Formatting",
                    Condition: "Conditional Type",
                    Value1: "Value1",
                    Value2: "Value2",
                    Editcondtion: "Edit Condition",
                    Backcolor: "Back Color",
                    Borderrange: "Border Range",
                    Borderstyle: "Border Style",
                    Fontsize: "Font Size",
                    Fontstyle: "Font Style",
                    Bordercolor: "Border Color"
                };
                ej.PivotSchemaDesigner.Locale["en-US"] = {
                    PivotTableFieldList: "PivotTable Field List",
                    ChooseFieldsToAddToReport: "Choose fields to add to report:",
                    DragFieldBetweenAreasBelow: "Drag fields between areas below:",
                    ReportFilter: "Report Filter",
                    ColumnLabel: "Column Label",
                    RowLabel: "Row Label",
                    Values: "Values",
                    DeferLayoutUpdate: "Defer Layout Update",
                    Update: "Update"
                };

                args.model.dataSource.data = pivot_dataset;
                args.model.locale = "en-US";
        }
        function loadSchemaDesigner(args) {
            $("#PivotSchemaDesigner1").ejPivotSchemaDesigner({ pivotControl: this, layout: ej.PivotSchemaDesigner.Layouts.Excel });
            args.model.renderComplete = null;
        }
     </script>

        <style type="text/css">
        #PivotGrid1 {
            height: 350px; 
            width: 55%; 
            overflow: auto;
            float:left;
        }
        .e-pivotschemadesigner{
		width: 40% !important; 
		}
    </style>
    </form>
</body>
</html>
